Skip to main content
GET
Get Redemption Request

Authorizations

Authorization
string
header
required

Bearer authentication with an API token

Path Parameters

id
string
required

Unique identifier for the redemption request

Response

Success

id
string
read-only

Unique identifier for the redemption request

amount
string
read-only

Amount of the asset to be redeemed

chain
enum<string>
read-only

Blockchain network for the redemption

Available options:
ISSUANCE_SUPPORTED_CHAIN_UNSPECIFIED,
SOLANA_DEVNET,
SOLANA_MAINNET
Example:

"SOLANA_DEVNET"

redemption_address_id
string
read-only

Unique identifier of the redemption address that will receive the redeemed funds

from_address
string
read-only

Source address of transaction that triggered the redemption

status
enum<string>
read-only

Status of the redemption request

Available options:
STATUS_UNSPECIFIED,
ACCEPTED,
SUBMITTED,
COMPLETED,
DENIED,
FAILED,
CANCELLED
Example:

"ACCEPTED"

deposit_external_tx_id
string
read-only

External transaction ID of the deposit

burn_external_tx_id
string
read-only

External transaction ID of the burn

identity_id
string
read-only

Unique identifier of the identity that enacted this redemption request

stablecoin_symbol
string
read-only

Symbol of the stablecoin being redeemed